#pragma once

/*
	GameEngine and Editor
	by John Ryland
	Copyright (c) 2023
*/

////////////////////////////////////////////////////////////////////////////////////
//	Blueprints Node Editor View

#include "IView.h"

namespace GameEngine {

class BlueprintsNodeEditorView : public IView
{
public:
    void AddShowMenuItem() override;

    void Initialize() override;
    void Shutdown() override;
    void Update() override;

    void Show();

private:
    bool m_open = false;
};

} // GameEngine namespace
